<mat-card>
    <mat-card-header>
        <mat-card-title class="title">
            <!-- equipments0 multiselect section  -->
            <angular2-multiselect [data]="equipments0" [(ngModel)]="selectedEquipments0" [settings]="dropdownEquipment0Settings" (onSelect)="onChangeEQ1($event)" (onDeSelect)="onChangeEQ1($event)" (onSelectAll)="onChangeEQ1($event)" (onDeSelectAll)="onChangeEQ1($event)"
                style="width:220px">
            </angular2-multiselect>
            <!-- equipments1 multiselect section  -->
            <angular2-multiselect *ngIf="equipments1?.length > 0" [data]="equipments1" [(ngModel)]="selectedEquipments1" [settings]="dropdownEquipment1Settings" (onSelect)="onChangeEQ2($event)" (onDeSelect)="onChangeEQ2($event)" (onSelectAll)="onChangeEQ2($event)"
                (onDeSelectAll)="onChangeEQ2($event)" style="width:220px">
            </angular2-multiselect>
            <!-- equipments2 multiselect section  -->
            <angular2-multiselect *ngIf="equipments2?.length > 0" [data]="equipments2" [(ngModel)]="selectedEquipments2" [settings]="dropdownEquipment2Settings" (onSelect)="searchUserEquipment()" (onDeSelect)="searchUserEquipment()" (onSelectAll)="searchUserEquipment()"
                (onDeSelectAll)="searchUserEquipment()" style="width:180px">
            </angular2-multiselect>
            <!-- diplay child option -->
            <!-- <mat-checkbox class="example-margin" [(ngModel)]="displayChild">با نمایندگیها</mat-checkbox> -->
            <!-- office0 multiselect section  -->
            <angular2-multiselect *ngIf="!isUser" [data]="offices0" [(ngModel)]="selectedOffices0" [settings]="dropdownOffice0Settings" (onSelect)="onChangeOF1($event)" (onDeSelect)="onChangeOF1($event)" (onSelectAll)="onChangeOF1($event)" (onDeSelectAll)="onChangeOF1($event)"
                style="width:220px">
            </angular2-multiselect>
            <!-- office1 multiselect section  -->
            <angular2-multiselect *ngIf="!isUser && offices1?.length > 0" [data]="offices1" [(ngModel)]="selectedOffices1" [settings]="dropdownOffice1Settings" (onSelect)="getUsers();searchUserEquipment();" (onDeSelect)="getUsers();searchUserEquipment();" (onSelectAll)="getUsers();searchUserEquipment();"
                (onDeSelectAll)="getUsers();searchUserEquipment();" style="width:180px">
            </angular2-multiselect>
            <angular2-multiselect *ngIf="!isUser" [data]="users" [(ngModel)]="selectedUsers" [settings]="dropdownUserSettings" (onSelect)="searchUserEquipment()" (onDeSelect)="searchUserEquipment()" (onSelectAll)="searchUserEquipment()" (onDeSelectAll)="searchUserEquipment()"
                style="width:180px">
                <c-badge>
                    <ng-template let-item="item">
                        {{item.user_Fname}} {{item.user_Lname}}
                    </ng-template>
                </c-badge>
                <c-item>
                    <ng-template let-item="item">
                        <label>{{item.user_Fname}} {{item.user_Lname}}</label>
                    </ng-template>
                </c-item>
            </angular2-multiselect>
        </mat-card-title>
    </mat-card-header>
    <mat-card-header>
        <mat-card-title class="title">
            <!-- <p style="background-color: rgb(5, 172, 5);direction: ltr">office0: {{_queryString.office_ID0|json}}</p>
  <p style="background-color: rgb(76, 76, 226);direction: ltr"> office1: {{_queryString.office_ID1|json}}</p> -->

            <!-- user multiselect section  -->
            <!-- Number of show item  -->
            <!-- <mat-form-field style="width:220px">
                <mat-select placeholder="تعداد قابل نمایش" [(value)]="state.take" (selectionChange)="searchUserEquipment()">
                    <mat-option value="0">همه</mat-option>
                    <mat-option value="10">10</mat-option>
                    <mat-option value="20">20</mat-option>
                    <mat-option value="50">50</mat-option>
                    <mat-option value="100">100</mat-option>
                </mat-select>
            </mat-form-field> -->
            <!-- type of display chart -->
            <!-- <mat-radio-group [(ngModel)]="chartType">
                <mat-radio-button value="bar">نمودار ستونی</mat-radio-button>
                <mat-radio-button value="pie">نمودار دایره ای</mat-radio-button>
            </mat-radio-group> -->
            <!-- display button -->
            <button mat-raised-button color="primary" (click)="searchUserEquipment()">
                <mat-icon>face</mat-icon> جستجوی تجهیزات
            </button>
            <!-- number of total items -->
            <span class="md-headline" style="color:blue" *ngIf="myval.Count">
                {{myval?.Count | number}} نوع تجهیزات
            </span>
            <span class="md-headline" style="color:green" *ngIf="myval.Count">
                تعداد کل : {{myval?.SumCount | number}}
            </span>
            <button mat-raised-button color="warn" *ngIf="selectedEquipments0?.length > 0" (click)="onClickBack()">
                <mat-icon>undo</mat-icon> بازگشت
            </button>
        </mat-card-title>
    </mat-card-header>

    <mat-card-content>
        <!-- Get Data async for tow elemevt Chart And Gride------------------------------------------------------------- -->
        <div class="grid-wrapper" *ngIf="(query | async)?.data as ue">
            <!-- Chart Section ------------------------------------------------------------- -->
            <kendo-chart [seriesColors]="['orange', '#ffe']" (seriesClick)="onSeriesClick($event)">
                <kendo-chart-legend position="bottom"></kendo-chart-legend>
                <kendo-chart-tooltip format="{0} دستگاه"></kendo-chart-tooltip>
                <kendo-chart-series>
                    <kendo-chart-series-item type={{chartType}} [gap]="2" [spacing]=".25" [data]="ue" field="count" categoryField="equip_Name" [labels]="seriesLabels">
                    </kendo-chart-series-item>
                </kendo-chart-series>
            </kendo-chart>
            <div *ngIf="loading" class="k-i-loading"></div>
            <!-- Chart Section ------------------------------------------------------------- -->
            <!-- <div *ngIf="(query | async)?.data as ue">
          <ul>
            <li *ngFor="let d of ue.data"> Name: {{d.equip_Name}} Count : {{d.count}}</li>
          </ul>
        </div> -->
            <!-- Chart Section ------------------------------------------------------------- -->

            <!-- Grid Section ------------------------------------------------------------- -->
            <!-- <kendo-grid [data]="ue" [pageSize]="state.take" [skip]="state.skip" [sort]="state.sort" [sortable]="{ mode: 'multiple' }" [resizable]="true" (dataStateChange)="dataStateChange($event)" [height]="410">
            <kendo-grid>
                <ng-template kendoGridToolbarTemplate *ngIf="myval">
                    <div class="button-row left">
                        <button *ngIf="myval.Count" mat-flat-button>{{myval?.Count | number}} نوع تجهیزات</button>
                        <button *ngIf="myval.SumCount" mat-flat-button>تعداد کل : {{myval?.SumCount | number}}</button>
                    </div>
                </ng-template>
            </kendo-grid>

            <kendo-grid-column field="equip_Name" title="نام تجهیزات " width="100">
            </kendo-grid-column>

            <kendo-grid-column field="count" title="تعداد" width="50">
            </kendo-grid-column>
        </kendo-grid> -->
            <!-- Grid Section ------------------------------------------------------------- -->
            <!-- <hr class="new" /> -->
        </div>
        <div *ngIf="loading" class="k-i-loading">
        </div>
    </mat-card-content>
</mat-card>